Bug 14314 - System Preferences: Better explanation for syspref 'ShowReviewerPhoto'
Summary: System Preferences: Better explanation for syspref 'ShowReviewerPhoto'
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-02 09:37 UTC by Marc Véron
Modified: 2016-12-05 21:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14314 - System Preferences: Better explanation for syspref 'ShowReviewerPhoto' (1.46 KB, patch)
2015-06-02 09:45 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14314: System Preferences: Better explanation for syspref 'ShowReviewerPhoto' (1.55 KB, patch)
2015-06-02 12:42 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14314: System Preferences: Better explanation for syspref 'ShowReviewerPhoto' (1.64 KB, patch)
2015-06-06 16:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-06-02 09:37:43 UTC
If syspref ShowReviewerPhoto is enabled, the reviewer's avatar is displayed beside comments in OPAC. The avatar will be searched on www.libravatar.org using the patron's email address.

This should be explained in system preferences.
Comment 1 Marc Véron 2015-06-02 09:45:38 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-06-02 09:54:29 UTC
I am wondering - will it display a patron's photo if you have uploaded one instead?
Comment 3 Marc Véron 2015-06-02 11:19:05 UTC
(In reply to Katrin Fischer from comment #2)
> I am wondering - will it display a patron's photo if you have uploaded one
> instead?

No, it does not.
Comment 4 Bernardo Gonzalez Kriegel 2015-06-02 12:42:16 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-06-02 14:06:47 UTC
Ah! It's really confusing then :)
Comment 6 Katrin Fischer 2015-06-06 16:52:31 UTC
Created attachment 39942 [details] [review]
Bug 14314: System Preferences: Better explanation for syspref 'ShowReviewerPhoto'

[PASSED QA] If syspref ShowReviewerPhoto is enabled, the reviewer's avatar is displayed beside comments in OPAC. The avatar will be searched on www.libravatar.org using the patron's email address.

This patch changes the text for 'ShowReviewerPhoto'.

To test:
Apply patch
Go to Home > Administration > System preferences
Search for ShowReviewerPhoto
Verify that the new explanation makes sense.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Better explanation, no errors.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Changed mail to e-mail.
Comment 7 Tomás Cohen Arazi 2015-06-08 14:10:16 UTC
Patch pushed to master.

Thanks Marc!
Comment 8 Chris Cormack 2015-06-08 21:12:52 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 9 Liz Rea 2015-06-22 23:27:36 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 10 Mason James 2015-07-25 10:22:30 UTC
Contains string changes, holding till 3.16.14